高德地图SDK(导航) V11.2.0501

Loading...
Searching...
No Matches
Properties | List of all members
AMapNaviHUDView Class Reference

`#include <AMapNaviHUDView.h>`

Inheritance diagram for AMapNaviHUDView:

## Properties
id< AMapNaviHUDViewDelegate > | delegate
BOOL | isLandscape
BOOL | isMirror
BOOL | showRemainDistance
BOOL | showRemainTime

## Additional Inherited Members
Instance Methods inherited from <AMapNaviDriveDataRepresentable>
(void) | - driveManager:updateNaviMode:
| 导航模式更新回调. 从5.3.0版本起,算路失败后导航SDK只对外通知算路失败,SDK内部不再执行停止导航的相关逻辑.因此,当算路失败后,不会收到 driveManager:updateNaviMode: 回调; AMapNaviDriveManager.naviMode 不会切换到 AMapNaviModeNone 状态, 而是会保持在 AMapNaviModeGPS or AMapNaviModeEmulator 状态. Navigation mode update callback. Starting from version 5.3.0, after route calculation fails, the navigation SDK only notifies externally about the route calculation failure, and the SDK no longer executes the related logic to stop navigation internally. Therefore, after route calculation fails, the driveManager:updateNaviMode: callback will not be received. AMapNaviDriveManager.naviMode will not switch to the AMapNaviModeNone state, but will remain in the AMapNaviModeGPS or AMapNaviModeEmulator state.
(void) | - driveManager:updateNaviRouteID:
| 路径ID更新回调. 注意：请不要在此回调中调用 -selectNaviRouteWithRouteID: 接口，否则会出现死循环调用. Route ID update callback. Note: Please do not call the -selectNaviRouteWithRouteID: interface in this callback, otherwise it will cause an infinite loop call.
(void) | - driveManager:updateNaviRoute:
| 路径信息更新回调. 注意：请不要在此回调中调用 -selectNaviRouteWithRouteID: 接口，否则会出现死循环调用. Path Information Update Callback. Note: Please do not call the -selectNaviRouteWithRouteID: interface in this callback, otherwise it will cause an infinite loop call.
(void) | - driveManager:updateNaviInfo:
| 导航信息更新回调 Navigation Information Update Callback
(void) | - driveManager:updateNaviLocation:
| 自车位置更新回调 (since 5.0.0，模拟导航和实时导航的自车位置更新都会走此回调) Self-Vehicle Position Update Callback (since 5.0.0, both simulated navigation and real-time navigation's ego vehicle position updates will trigger this callback)
(void) | - driveManager:showCrossImage:
| 需要显示路口放大图时的回调。注意：10.0.2版本开始，自定义View中如果设置了showCrossImage为YES，回调中crossImage为nil Callback when an enlarged intersection view is needed. Note: Starting from version 10.0.2, if showCrossImage is set to YES in a custom View, crossImage will be nil in the callback.
(void) | - driveManagerHideCrossImage:
| 需要隐藏路口放大图时的回调。 Callback when the junction enlarged view needs to be hidden.
(void) | - driveManager:showLaneBackInfo:laneSelectInfo:
| 需要显示车道信息时的回调.可通过 UIImage *CreateLaneInfoImageWithLaneInfo(NSString *laneBackInfo, NSString *laneSelectInfo); 方法创建车道信息图片 Callback when lane information needs to be displayed. Lane information images can be created using the UIImage *CreateLaneInfoImageWithLaneInfo(NSString *laneBackInfo, NSString *laneSelectInfo); method. 0-直行; 1-左转; 2-直行和左转; 3-右转; 0-Go straight; 1-Turn left; 2-Go straight and turn left; 3-Turn right; 4-直行和右转; 5-左转掉头; 6-左转和右转; 7-直行和左转和右转; 4-Go straight and turn right; 5-U-turn left; 6-Turn left and right; 7-Go straight, turn left and right; 8-右转掉头; 9-直行和左转掉头; 10-直行和右转掉头; 11-左转和左转掉头; 8-Turn right and make a U-turn; 9-Go straight and make a left U-turn; 10-Go straight and make a right U-turn; 11-Turn left and make a left U-turn; 12-右转和右转掉头; 13-直行左侧道路变宽; 14-左转和左转掉头左侧变宽; 16-直行和左转和左掉头; 12-Turn right and make a right U-turn; 13-The left lane widens when going straight; 14-The left lane widens when turning left and making a left U-turn; 16-Go straight, turn left, and make a left U-turn; 17-右转和左掉头; 18-左转和左掉头和右转; 19-直行和右转和左掉头; 20-左转和右掉头; 21-公交车道; 23-可变车道; 17-Right turn and left U-turn; 18-Left turn and left U-turn and right turn; 19-Straight and right turn and left U-turn; 20-Left turn and right U-turn; 21-Bus lane; 23-Variable lane; 255-只会出现在laneSelectInfo，表示目前规划的路径，不可以走这个车道 255-Only appears in laneSelectInfo, indicating that the currently planned route cannot take this lane
(void) | - driveManagerHideLaneInfo:
| 需要隐藏车道信息时的回调 Callback when lane information needs to be hidden
(void) | - driveManager:updateTrafficStatus:
| 路况光柱信息更新回调 Traffic light bar information update callback
(void) | - driveManager:updateCameraInfos:
| 电子眼信息更新回调 since 5.0.0 Electronic eye information update callback. since 5.0.0
(void) | - driveManager:updateServiceAreaInfos:
| 服务区和收费站信息更新回调 since 5.0.0 Service area and toll station information update callback since 5.0.0
(void) | - driveManager:updateServiceAreaDetailInfos:
| 路线服务区详情列表信息回调，仅当算路成功或主路线更新时回调此方法 since 10.1.0 Route service area detail list information callback, only callback when the route calculation is successful or the main route is updated since 10.1.0
(void) | - driveManager:updateSlopeInfos:
| 导航路线坡度列表信息回调，仅当算路成功或主路线更新时回调此方法 since 10.1.0 Callback for navigation route gradient list information, this method is only called when route calculation succeeds or the main route is updated since 10.1.0
(void) | - driveManager:updateParallelRoadStatus:
| 通知当前是否可以进行平行道路切换，包括主路、辅路以及高架桥上、高架桥下. since 5.3.0 Notify whether parallel road switching is currently possible, including main roads, auxiliary roads, and overpasses and underpasses. since 5.3.0
(void) | - driveManager:updateIntervalCameraWithPositionState:startInfo:endInfo:
| 区间电子眼信息更新回调 since 6.0.0 Interval electronic eye information update callback since 6.0.0
(void) | - driveManager:updateTurnIconImage:turnIconType:
| 导航中的转向图标更新回调 since 6.2.0 Turn icon update callback in navigation since 6.2.0
(void) | - driveManager:updateNextTurnIconImage:nextTurnIconType:
| 导航中相对于当前转向图标，下一个转向图标更新回调 since 6.9.0 Next turn icon update callback relative to current turn icon during navigation. since 6.9.0
(void) | - driveManager:updateBackupRoute:
| 多路线导航模式下的备选路线更新回调, 注意：此函数只有在 driveManager 设置了多路线导航模式才会回调. since 6.3.0 Alternate route update callback in multi-route navigation mode, Note: This function will only be called back if driveManager has set multi-route navigation mode. since 6.3.0
(void) | - driveManager:updateCongestionInfo:
| 前方拥堵区域信息的更新回调. since 7.5.0 Update callback for congestion area information ahead. since 7.5.0
(void) | - driveManager:updateTrafficEvents:
| 交通事件信息的更新回调. since 10.0.920 Update callback of traffic incident information since 10.0.920
(void) | - driveManager:updateTrafficFacilities:
| 巡航道路设施信息更新回调.该更新回调只有在detectedMode开启后有效 Cruise road facility information update callback. This update callback is only effective when detectedMode is enabled
(void) | - driveManager:updateCruiseElecCameraInfos:
| 巡航时自车前方电子眼信息.该更新回调只有在detectedMode开启后有效 since 6.7.0 Electronic eye information in front of the vehicle during cruise. This update callback is only effective when detectedMode is enabled. since 6.7.0
(void) | - driveManager:updateCruiseInfo:
| 巡航信息更新回调.该更新回调只有在detectedMode开启后有效 Cruise information update callback. This update callback is only effective when detectedMode is enabled.
(void) | - driveManager:updateCruiseCongestionInfo:
| 巡航状态下的拥堵区域信息. 该更新回调只有在detectedMode开启后有效 since 6.7.0 Congestion area information during cruise. This update callback is only effective when detectedMode is enabled. since 6.7.0
Instance Methods inherited from <AMapNaviWalkDataRepresentable>
(void) | - walkManager:updateNaviMode:
| 导航模式更新回调 Navigation mode update callback
(void) | - walkManager:updateNaviRouteID:
| 路径ID更新回调. 注意：请不要在此回调中调用 -selectNaviRouteWithRouteID: 接口，否则会出现死循环调用. Route ID update callback. Note: Please do not call the -selectNaviRouteWithRouteID: interface in this callback, otherwise it will cause an infinite loop call.
(void) | - walkManager:updateNaviRoute:
| 路径信息更新回调. 注意：请不要在此回调中调用 -selectNaviRouteWithRouteID: 接口，否则会出现死循环调用. Path Information Update Callback. Note: Please do not call the -selectNaviRouteWithRouteID: interface in this callback, otherwise it will cause an infinite loop call.
(void) | - walkManager:updateNaviInfo:
| 导航信息更新回调 Navigation Information Update Callback
(void) | - walkManager:updateNaviLocation:
| 自车位置更新回调 Self-Vehicle Position Update Callback

## Detailed Description

HUD导航界面.该类实现AMapNaviDriveDataRepresentable和AMapNaviWalkDataRepresentable协议,可以展示驾车HUD和步行HUD导航过程. HUD navigation interface. This class implements the AMapNaviDriveDataRepresentable and AMapNaviWalkDataRepresentable protocols, and can display the driving HUD and walking HUD navigation process

## Property Documentation

## ◆ delegate

- (id<AMapNaviHUDViewDelegate>) delegate
| read write nonatomic weak

实现了 AMapNaviHUDViewDelegate 协议的类指针 Implements the class pointer of the AMapNaviHUDViewDelegate protocol

## ◆ isLandscape

- (BOOL) isLandscape
| read write nonatomic assign

是否采用横屏布局,默认NO Whether to use landscape layout, default is NO.

## ◆ isMirror

- (BOOL) isMirror
| read write nonatomic assign

是否以镜像的方式显示,默认YES Whether to display in mirror mode, default is YES

## ◆ showRemainDistance

- (BOOL) showRemainDistance
| read write nonatomic assign

是否显示剩余距离,默认YES Whether to display remaining distance, default is YES

## ◆ showRemainTime

- (BOOL) showRemainTime
| read write nonatomic assign

是否显示剩余时间,默认YES Whether to display remaining time, default is YES

The documentation for this class was generated from the following file:

- AMapNaviHUDView.h

© 2017 高德信息技术有限公司 版权所有，保留所有权利。